Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#66678 - [json-c] [Security] integer overflow and out-of-bounds write (CVE-2020-12762)

Attached to Project: Arch Linux
Opened by Morten Linderud (Foxboron) - Saturday, 16 May 2020, 18:57 GMT
Last edited by Levente Polyak (anthraxx) - Sunday, 20 December 2020, 02:44 GMT
Task Type Bug Report
Category Security
Status Closed
Assigned To Jelle van der Waa (jelly)
Levente Polyak (anthraxx)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Summary
=======

The package json-c is vulnerable to integer overflow and out-of-bounds write via CVE-2020-12762.

Guidance
========

Please apply the given patches from upstream.

References
==========

https://security.archlinux.org/AVG-1160
This task depends upon

Closed by  Levente Polyak (anthraxx)
Sunday, 20 December 2020, 02:44 GMT
Reason for closing:  Fixed
Additional comments about closing:  0.15-1
Comment by Rado Sław (rdslw) - Saturday, 30 May 2020, 14:36 GMT
What's the status on this?
Ubuntu released patched version (although 0.13) as seen there: http://changelogs.ubuntu.com/changelogs/pool/main/j/json-c/json-c_0.13.1+dfsg-7ubuntu0.3/changelog
Redhat listed patches here: https://bugzilla.redhat.com/show_bug.cgi?id=1835253#c11 (did not verified it)

Loading...